Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class ModifyRequest

    java.lang.Object
      |
      +--org.openspml.message.SpmlRequest
            |
            +--org.openspml.message.ModifyRequest

public class ModifyRequest
extends SpmlRequest

A class used to represent a `modifyRequest` element.

Fields inherited from class org.openspml.message.SpmlRequest
`EXEC_ASYNCHRONOUS, EXEC_SYNCHRONOUS`

Constructor Summary
`ModifyRequest()`

Method Summary
`void` | `addModification(Modification a)`
`void` | `addModification(java.lang.String name, java.lang.Object value)`
`SpmlResponse` | `createResponse()` Build an empty SpmlRequest object that corresponds to this request.
`java.lang.String` | `getElementName()` Return the tag name for the request element.
`java.util.List` | `getModifications()`
`void` | `setModifications(java.util.List l)`
`void` | `setModifications(java.util.Map map)` Specify the modifications as a map of name/value pairs.

Methods inherited from class org.openspml.message.SpmlRequest
`dumpFile, getIdentifier, getIdentifierString, getOperationalAttribute, getOperationalAttributes, getOperationalAttributeValue, getRequestId, isAsynchronous, parseRequest, parseRequest, setAsynchronous, setIdentifier, setIdentifier, setOperationalAttribute, setOperationalAttribute, setOperationalAttributes, setRequestId, toXml, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModifyRequest

    public ModifyRequest()

Method Detail

### createResponse

    public SpmlResponse createResponse()

  Description copied from class: SpmlRequest
  Build an empty SpmlRequest object that corresponds to this request. Used in a few error conditions to return the expected response object when one was not actually sent back from the server.
  Overrides:
    createResponse in class SpmlRequest

### setModifications

    public void setModifications(java.util.List l)

### setModifications

    public void setModifications(java.util.Map map)

  Specify the modifications as a map of name/value pairs. The operation is assumed to be "replace".

### addModification

    public void addModification(Modification a)

### addModification

    public void addModification(java.lang.String name,
                                java.lang.Object value)

### getModifications

    public java.util.List getModifications()

### getElementName

    public java.lang.String getElementName()

  Description copied from class: SpmlRequest
  Return the tag name for the request element.
  Overrides:
    getElementName in class SpmlRequest

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD